Subject: dd support for POSIX_FADV_NOREUSE etc.

From: Paul Eggert <[email-masked]>
Date: Thu, 30 Mar 2017 08:42:53 -0700

The 'dd' command has some complicated logic for iflag=nocache and 
oflag=nocache, which I don't entirely understand but expect is in there 
for good reason. I suggest that 'dd' also have simpler logic for direct 
usage of posix_fadvise options. For example, 'dd iflag=noreuse' could 
cause it to call fadvise (STDIN_FILENO, FADVISE_NOREUSE). I suppose 
'sequential' should be the default.

Dumb question: why does dd iflag=nocache check the return value of 
posix_fadvise? The fadvise function ignores the return value and says 
why; do these reasons not apply to 'dd'?